%define modname pxefiles

Summary: Issabel PXE boot files
Name:    issabel-%{modname}
Version: 1.0.0
Release: 1
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: issabel-system >= 4.0.0-7
Requires(pre): tftp-server

Obsoletes: elastix-endpointconfig2

%description
Provides the configuration and necessary files for implementing PXE Clients.
This module requires the PXE Boot Server parameter(DHCP Server) pointing to Issabel's IP.

%prep
%setup -n %{name}_%{version}-%{release}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided
mkdir -p                        $RPM_BUILD_ROOT/tftpboot
mv setup/tftpboot/syslinux/     $RPM_BUILD_ROOT/tftpboot/

%pre

%post

%clean
rm -rf $RPM_BUILD_ROOT

%preun

%files
%defattr(-, root, root)
/tftpboot/syslinux/*

%changelog
